(* psViewConDelegator.ml     Wrapper of ObjC PSViewConDelegator
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

external _delegate : nativeint -> Wrappee.t =
    "PSDelegator_delegate"
external _setDelegate_ : nativeint -> Wrappee.t -> unit =
    "PSDelegator_setDelegate_"

class t robjcv =
object (self)
    inherit UiViewController.t robjcv
    method delegate = _delegate self#contents
    method setDelegate' d = _setDelegate_ self#contents d
end

let () = Callback.register "PSViewConDelegator.wrap" (new t)
