(* uiBezierPath.mli     Wrapper for Cocoa Touch UIBezierView
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)
class t :
    nativeint ->
    object
    inherit Wrapper.t

    method moveToPoint' : Cocoa.point -> unit
    method addArcWithCenter'radius'startAngle'endAngle'clockwise' :
        Cocoa.point -> float -> float -> float -> bool -> unit
    method closePath : unit
    method removeAllPoints : unit
    method lineWidth : float
    method setLineWidth' : float -> unit
    method fill : unit
    method stroke : unit
    method containsPoint' : Cocoa.point -> bool
    end

val bezierPath : unit -> t
val bezierPathWithOvalInRect' : Cocoa.rect -> t
