(* uiViewController.ml     Wrapper for Cocoa Touch UIViewController
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

external _view : nativeint -> UiView.t =
    "UIViewController_view"

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv

    method view = _view self#contents
    end

let () = Callback.register "UiViewController.wrap" (new t)
