/* wrap.h     Simple custom wrappers for Gamut example
 *
 * Copyright (c) 2015 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 */
# import "caml/mlvalues.h"
# import "PSViewDelegatorM.h"
# import "PSViewConDelegatorM.h"

/* An OCaml value wrapped up for access from ObjC.
 */
@interface WrapOCaml : NSObject
@property (nonatomic, readonly) value contents;
@end


/* Wrapped version of GamutAppDelegate.t
 */
@interface GamutAppDelegate : WrapOCaml <UIApplicationDelegate>
@end

/* Wrapped version of GamutViewControllerD.t
 */
@interface GamutViewControllerD : WrapOCaml <PSViewDelegate,PSViewConDelegate>
- (void) timerTick: (NSTimer *) aTimer;
@end
